﻿using System.ComponentModel.DataAnnotations;

namespace Aadhaar_Number_Validation_ServerSide_MVC_Core.Models
{
    public class PersonModel
    {
        [Display(Name = "Aadhaar Number:")]
        [Required(ErrorMessage = "Aadhaar Number is required.")]
        [RegularExpression(@"^([0-9]{4}[0-9]{4}[0-9]{4}$)|([0-9]{4}\s[0-9]{4}\s[0-9]{4}$)|([0-9]{4}-[0-9]{4}-[0-9]{4}$)", ErrorMessage = "Invalid Aadhaar Number.")]
        public string AadhaarNumber { get; set; }
    }
}
